de.esprit.appsuite.database.xml.handler

## Class DBODatabaseTagHandler<H extends AbstractDBOCollector<?>>

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - de.esprit.appsuite.xml.XmlTagHandler<H>
    - - de.esprit.appsuite.database.xml.handler.DBODatabaseTagHandler<H>

- All Implemented Interfaces:
    SimpleLogSupport, org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

      public class DBODatabaseTagHandler<H extends AbstractDBOCollector<?>>
      extends XmlTagHandler<H>

  Reads the database tag
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBODatabaseTagHandler(XmlTagHandler<H> parentHandler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DBOTableTagHandler<H>` | `createNextHandlerFor(java.lang.String uri, java.lang.String localName, java.lang.String tag)`
    `protected void` | `processTagHead(java.lang.String tag, org.xml.sax.Attributes attrs)`

    - ### Methods inherited from class de.esprit.appsuite.xml.XmlTagHandler

      `characters, doOnTagDone, doOnTagFound, endDocument, endElement, error, fatalError, getAsBoolean, getAsBoolean, getAsDate, getAsDate, getAsDouble, getAsDouble, getAsFloat, getAsFloat, getAsInt, getAsInt, getAsLong, getAsLong, getAsShort, getAsShort, getAsString, getAsString, getAsTimestamp, getAsTimestamp, getCollector, getFinishTag, getInputFileInfo, getLogChannel, getParentHandler, getParser, getTagPath, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, processTagBody, resolveEntity, setDocumentLocator, setLogChannel, startDocument, startElement, toString`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DBODatabaseTagHandler

          public DBODatabaseTagHandler(XmlTagHandler<H> parentHandler)

  - ### Method Detail

    - #### processTagHead

          protected void processTagHead(java.lang.String tag,
                            org.xml.sax.Attributes attrs)

      Overrides:
        `processTagHead` in class `XmlTagHandler<H extends AbstractDBOCollector<?>>`

    - #### createNextHandlerFor

          protected DBOTableTagHandler<H> createNextHandlerFor(java.lang.String uri,
                                                   java.lang.String localName,
                                                   java.lang.String tag)

      Specified by:
        `createNextHandlerFor` in class `XmlTagHandler<H extends AbstractDBOCollector<?>>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.